%{?nodejs_find_provides_and_requires}

%global packagename immediate
%global enable_tests 1

Name: nodejs-%{packagename}
Version: 3.0.6
Release: 1%{?dist}.3
Summary: A cross browser microtask library
License: MIT
URL: https://github.com/calvinmetcalf/immediate
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1: tests-%{version}.tar.bz2
Source10: dl-tests.sh

BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
%if 0%{?enable_tests}
BuildRequires: npm(tape) >= 4.0.0
BuildRequires: npm(tape) < 5.0.0
%endif

%description
A cross browser microtask library.


%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr *.json dist lib \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/node test/tests.js
%endif


%files
%license LICENSE.txt
%doc *.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Fri Sep 23 2016 Oleg Girko <ol@infoserver.lv> - 3.2.3-1
- Initial package.
